<ngx-loading [show]="loading" [config]="{primaryColour: primaryColour, secondaryColour: secondaryColour, tertiaryColour: primaryColour, backdropBorderRadius: '3px', fullScreenBackdrop: true}" [template]="loadingTemplate"></ngx-loading>
<ng2-toasty [position]="position"></ng2-toasty>

<div class="row">
    <div class="col-md-12 col-xl-12">
        <div class="page-header-breadcrumb" style="float: left">
            <ul class="breadcrumb-title">
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'dashboard']"><i class="icofont icofont-home"></i></a>
                </li>
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program']">Kegiatan</a>
                </li>
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id]">Indikator</a>
                </li>
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'indikator', indikator_id]">Periode Progress</a>
                </li>
                <li class="breadcrumb-item">
                    <a [routerLink]="['/', 'program', program_id, 'indikator', indikator_id, 'periode', periodeprogress_id]">Laporan Progress</a>
                </li>
                <li class="breadcrumb-item">
                    <a [routerLink]="['#']" class="not-active">Edit</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="row">
    <!-- counter-card-1 start-->
    <div class="col-md-12 col-xl-12">

        <br>
        <div class="card card-border-primary">
            <div class="card-header">
                <h5>Edit Laporan Progress </h5>
            </div>
            <div class="card-block">

                <form class="md-float-material" [formGroup]="myForm" (ngSubmit)="onSubmit()" (keydown.enter)="$event.preventDefault()">

                    <div class="row" style="/*border-bottom: 1px solid rgba(0,0,0,.125); padding-bottom: 10px;*/">
                        <div class="col-sm-2 col-xl-2">
                            <!-- <button class="btn btn-inverse btn-sm btn-icon" type="button" (click)="showBack()" placement="top" ngbTooltip="Kembali"><i class="icofont icofont-rounded-left" style="font-size: xx-large;"></i></button> -->
                        </div>
                        <div class="col-sm-8 col-xl-8">
                            <input class="form-control" type="text" placeholder="id" formControlName="id" style="display: none" />
                        </div>
                        <div class="col-sm-2 col-xl-2">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12 col-xl-12">
                            <h4 class="sub-title" style="margin-bottom: 10px; margin-top:20px;"><b>Laporan Progress</b></h4>
                        </div>
                        <!-- <div class="col-sm-12 col-xl-12">
                            <label class="col-form-label">Pelaksana</label>
                            <input class="form-control" type="text" placeholder="Pelaksana" formControlName="pelaksana" />
                            <span class="messages text-danger" *ngIf="!myForm.get('pelaksana').valid && myForm.get('pelaksana')">* Harus diisi</span>
                            <span class="md-line"></span>
                        </div> -->
                        <div class="col-sm-12 col-xl-12">
                            <label class="col-form-label">Waktu Pelaporan</label>
                            <input class="form-control" type="text" placeholder="Waktu Pelaporan" formControlName="waktu_pelaporan" (click)="d.toggle()" ngbDatepicker #d="ngbDatepicker" [maxDate]="{year: date_now.year, month: date_now.month, day: date_now.day}">
                            <span class="messages text-danger" *ngIf="!myForm.get('waktu_pelaporan').valid && myForm.get('waktu_pelaporan')">* Harus diisi</span>
                            <span class="md-line"></span>
                        </div>
                        <div class="col-sm-6 col-xl-6">
                            <label class="col-form-label">Capaian Kuantitas</label>
                            <input class="form-control autonumber" type="text" placeholder="Capaian Kuantitas" formControlName="kuantitas" (ngModelChange)="checkPersen($event)" currencyMask [options]="{ prefix: '', align: 'right', decimal: ',', thousands: '.', precision: 0, allowZero: true }"
                            />
                            <span class="messages text-danger" *ngIf="!myForm.get('kuantitas').valid && myForm.get('kuantitas')">* Harus diisi, tidak boleh negatif</span>
                            <span class="md-line"></span>
                        </div>
                        <div class="col-sm-6 col-xl-6">
                            <label class="col-form-label">Persentase</label>
                            <div class="input-group">
                                <input class="form-control" type="text" placeholder="Capaian Kuantitas" formControlName="persen" readonly />
                                <span class="input-group-addon" id="basic-addon8">%</span>
                            </div>
                            <span class="messages text-danger" *ngIf="!myForm.get('persen').valid && myForm.get('persen')">* Harus diisi</span>
                            <span class="md-line"></span>
                        </div>
                        <div class="col-sm-12 col-xl-12" style="margin-top: 20px;">
                            <label class="col-form-label">Lokasi</label>
                            <div class="row">
                                <ng-container formArrayName="lokasi" *ngFor="let row of myForm.get('lokasi').controls; let i = index;">
                                    <ng-container [formGroupName]="i">
                                        <div class="col-sm-3 col-xl-3">
                                            <label class="col-form-label">Kota/Kab</label>
                                            <!-- <select class="form-control" placeholder="Kab/Kota" formControlName="kode_kota" (change)="onChangeKota($event, i)">
                                                <option value="">-- Pilih Kota/Kab --</option>
                                                <option *ngFor="let row of dataKota" value={{row.kode_kota}}>
                                                    {{row.nama_kota}}
                                                </option>
                                            </select> -->
                                            <angular4-multiselect 
                                                class="form-controls" 
                                                name="kode_kota"  
                                                formControlName="kode_kota" 
                                                [(ngModel)]="selectedItemsKota" 
                                                [data]="dataKota" 
                                                [settings]="dropdownSettingsKota" 
                                                (onSelect)="onChangeKota($event)" 
                                                (onDeSelect)="onUnchangeKota($event)">
                                            </angular4-multiselect>
                                        </div>
                                        <div class="col-sm-4 col-xl-4">
                                            <label class="col-form-label">Kecamatan</label>
                                            <!-- <select class="form-control" placeholder="Kab/Kota" formControlName="kode_kecamatan" (change)="onChangeKecamatan($event, i)">
                                                <option value="">-- Pilih Kecamatan --</option>
                                                <option *ngFor="let row of dataKecamatan[i]" value={{row.kode_kecamatan}}>
                                                    {{row.nama_kecamatan}}
                                                </option>
                                            </select> -->
                                            <angular4-multiselect 
                                                class="form-controls" 
                                                name="kode_kecamatan" 
                                                formControlName="kode_kecamatan" 
                                                [(ngModel)]="selectedItemsKecamatan" 
                                                [data]="dataKecamatan" 
                                                [settings]="dropdownSettingsKecamatan" 
                                                (onSelect)="onChangeKecamatan($event)"
                                                (onDeSelect)="onUnchangeKecamatan($event)">
                                                <c-item>
                                                    <ng-template let-item="item">
                                                        <span style="font-weight:bolder">{{item.nama_kota}}, </span> 
                                                        <span>{{item.nama_kecamatan}}</span>
                                                    </ng-template>
                                                </c-item>    
                                            </angular4-multiselect>
                                        </div>
                                        <div class="col-sm-4 col-xl-4">
                                            <label class="col-form-label">Kelurahan/Desa</label>
                                            <!-- <select class="form-control" placeholder="Kab/Kota" formControlName="kode_kelurahan" (change)="onChangeKelurahan($event, i)">
                                                <option value="">-- Pilih Kelurahan/Desa --</option>
                                                <option *ngFor="let row of dataKelurahan[i]" value={{row.kode_kelurahan}}>
                                                    {{row.nama_kelurahan}}
                                                </option>
                                            </select> -->
                                            <angular4-multiselect 
                                                class="form-controls" 
                                                name="kode_kelurahan" 
                                                formControlName="kode_kelurahan" 
                                                [(ngModel)]="selectedItemsKelurahan" 
                                                [data]="dataKelurahan" 
                                                [settings]="dropdownSettingsKelurahan" 
                                                (onSelect)="onChangeKelurahan($event)"
                                                (onDeSelect)="onUnchangeKelurahan($event)">
                                                <c-item>
                                                    <ng-template let-item="item">
                                                        <span style="font-weight:bolder">{{item.nama_kecamatan}}, </span> 
                                                        <span>{{item.nama_kelurahan}}</span>
                                                    </ng-template>
                                                </c-item>    
                                            </angular4-multiselect>
                                        </div>
                                        <!-- <div class="col-sm-1 col-xl-1">
                                            <label class="col-form-label"></label>
                                            <div class="" style="margin-top: 20px">
                                                <i class="icofont icofont-error" (click)="removeFieldValueLokasi(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                            </div> 
                                        </div> -->
                                    </ng-container>
                                </ng-container>
                                <!-- <div class="col-sm-4 col-xl-4">
                                    <a href="" (click)="addFieldValueLokasi()"> + Tambah Lokasi</a>
                                </div> -->
                            </div>
                        </div>
                        <div class="col-sm-12 col-xl-12">
                            <label class="col-form-label">Hambatan</label>
                            <textarea class="form-control" type="text" rows="5" placeholder="Hambatan" formControlName="keterangan" style="height: 100px;"></textarea>
                            <span class="messages text-danger" *ngIf="!myForm.get('keterangan').valid && myForm.get('keterangan')">* Harus diisi</span>
                            <span class="md-line"></span>
                        </div>
                        <div class="col-sm-12 col-xl-12" style="margin-top: 20px;">
                            <label class="col-form-label">Foto</label>
                            <div class="row">
                                <ng-container formArrayName="upload_gambar" *ngFor="let row of myForm.get('upload_gambar').controls; let i = index;">
                                    <ng-container [formGroupName]="i">
                                        <div class="col-sm-6 col-xl-3">
                                            <div style="text-align: center; padding-bottom: 5px; padding-top: 10px;">
                                                <img class="img-200 text-center" [src]="data_upload_gambar[i] != null ? data_upload_gambar[i] : logoNull" style="max-height: 140px; width: auto; " />
                                            </div>
                                            <input class="form-control" type="file" (change)="onUpload($event, 'img', i)" placeholder="Upload file..." accept=".png,.jpg,.jpeg" />
                                            <input class="form-control" type="text" placeholder="value" formControlName="value" style="display: none;" />
                                        </div>
                                        <div class="" style="margin-top: 20px">
                                            <i class="icofont icofont-error" (click)="removeFieldValueUploadGambar(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                        </div>
                                    </ng-container>
                                </ng-container>
                            </div>
                            <div class="col-sm-3 col-xl-3">
                                <a href="" (click)="addFieldValueUploadGambar()"> + Tambah Foto</a>
                            </div>
                        </div>
                        <div class="col-sm-12 col-xl-12" style="margin-top: 20px;">
                            <label class="col-form-label">File Attachment</label>
                            <div class="row">
                                <ng-container formArrayName="upload_ppt" *ngFor="let row of myForm.get('upload_ppt').controls; let i = index;">
                                    <ng-container [formGroupName]="i">
                                        <div class="col-sm-3 col-xl-3">
                                            <input class="form-control" type="file" (change)="onUpload($event, 'ppt', i)" placeholder="Upload file..." accept="*" />
                                            <input class="form-control" type="text" placeholder="value" formControlName="value" style="display: none;" />
                                        </div>
                                        <div class="" style="margin-top: 10px">
                                            <i class="icofont icofont-error" (click)="removeFieldValueUploadPPT(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                        </div>
                                    </ng-container>
                                </ng-container>
                            </div>
                            <div class="col-sm-3 col-xl-3">
                                <a href="" (click)="addFieldValueUploadPPT()"> + Tambah File</a>
                            </div>
                        </div>
                        <div class="col-sm-12 col-xl-12" style="margin-top: 20px;">
                            <label class="col-form-label">Tautan Video (URL Youtube)</label>
                            <ng-container formArrayName="upload_link" *ngFor="let row of myForm.get('upload_link').controls; let i = index;">
                                <ng-container [formGroupName]="i">
                                    <div class="form-group" style="display: flex; margin-bottom: 0em;">
                                        <input class="form-control" type="text" placeholder="Tautan Video (URL Youtube)" formControlName="value" style="margin-bottom: 5px" />
                                        <i class="icofont icofont-error" (click)="removeFieldValueUploadLink(i)" style="margin:5px; margin-top:16px; color:red"></i>
                                    </div>
                                </ng-container>
                            </ng-container>
                            <div class="col-sm-3 col-xl-3">
                                <a href="" (click)="addFieldValueUploadLink()"> + Tambah Video</a>
                            </div>
                        </div>

                    </div>


                    <br>
                    <div class="row">
                        <div class="col-sm-6 col-xl-6">
                        </div>
                        <div class="col-sm-3 col-xl-3">
                            <button class="btn btn-danger btn-md btn-block" type="button" (click)="showBack()"><i class="icofont icofont-error"></i>Batal</button>
                        </div>
                        <div class="col-sm-3 col-xl-3">
                            <button class="btn btn-success btn-md btn-block" type="submit" [disabled]="!myForm.valid"><i class="icofont icofont-diskette"></i>Simpan</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </div>
    <!-- counter-card-1 end-->
</div>
